Subject: bug#34984: ns-right-command-modifier has influence to left

From: Tak Kunihiro <[email-masked]>
Date: Fri, 29 Mar 2019 17:42:02 +0900 (JST)

>> > Can you replicate the issue with the master branch?
>> > The modifier handling has been almost completely rewritten in it.
>> 
>> I tested on 27.0.50.  The results are the same.
> 
> Thanks.
> 
>> I connected USB keyboard not specifically designed for macOS.
>> I swap `Option Key' and `Command Key’ using on Keyboard panel 
>> in System Preferences.  I do not use third-party key remapping
>> software.
> 
> I can replicate this. The key is to swap command and option. I also
> see it using my swapped caps lock ‐> ctrl. It shows up as right
> control when I would expect it to be left.
> 
> For the record the Mac port has the same issue.
> 
> Sorry, I can’t think of any way round it.

I'm okay.  I wanted the right-command key acts as Apple key when I
have to switch between Excel and Emacs 100 times but such opportunity
is very rare.

Thank you to take a look of the problem.  I will keep trying to
report problems of Emacs on macOS.